﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="TelerikWebForm.aspx.cs" Inherits="TelerikWebForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <%--Needed for JavaScript IntelliSense in VS2010--%>
            <%--For VS2008 replace RadScriptManager with ScriptManager--%>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
        </Scripts>
    </telerik:RadScriptManager>
     <telerik:RadCodeBlock runat="server" ID="RadCodeBlock">
  
    <script type="text/javascript">
        var closeFlag = false;

        function OnClientItemClosing(sender, args) {

            args.set_cancel(!closeFlag);
            closeFlag = false;
       
        }


        function OnClientContextMenuItemClicking(sender, args) {
            closeFlag = true;
        }


    </script>
      </telerik:RadCodeBlock>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
    </telerik:RadAjaxLoadingPanel>
    <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" LoadingPanelID="RadAjaxLoadingPanel1">
        <telerik:RadTreeView ID="RadTreeView1" runat="server" OnClientContextMenuItemClicking="OnClientContextMenuItemClicking">
            <ContextMenus>
                <telerik:RadTreeViewContextMenu ID="MainContextMenu" runat="server" OnClientItemClosing="OnClientItemClosing">
                    <Items>
                        <telerik:RadMenuItem Value="Copy" Text="Copy ...">
                        </telerik:RadMenuItem>
                        <telerik:RadMenuItem Value="Rename" Text="Rename ..." PostBack="false">
                        </telerik:RadMenuItem>
                        <telerik:RadMenuItem Value="NewFolder" Text="New Folder">
                            <Items>
                                <telerik:RadMenuItem Value="Copy" Text="Copy ...">
                                </telerik:RadMenuItem>
                                <telerik:RadMenuItem Value="Rename" Text="Rename ..." PostBack="false">
                                </telerik:RadMenuItem>
                                <telerik:RadMenuItem Value="NewFolder" Text="New Folder">
                                </telerik:RadMenuItem>
                                <telerik:RadMenuItem Value="Delete" Text="Delete Folder">
                                </telerik:RadMenuItem>
                                <telerik:RadMenuItem IsSeparator="true">
                                </telerik:RadMenuItem>
                                <telerik:RadMenuItem Value="MarkAsRead" Text="Mark All as Read">
                                </telerik:RadMenuItem>
                            </Items>
                        </telerik:RadMenuItem>
                        <telerik:RadMenuItem Value="Delete" Text="Delete Folder">
                        </telerik:RadMenuItem>
                        <telerik:RadMenuItem IsSeparator="true">
                        </telerik:RadMenuItem>
                        <telerik:RadMenuItem Value="MarkAsRead" Text="Mark All as Read">
                        </telerik:RadMenuItem>
                    </Items>
                    <CollapseAnimation Type="none" />
                </telerik:RadTreeViewContextMenu>
                <telerik:RadTreeViewContextMenu ID="EmptyFolderContextMenu" runat="server">
                    <Items>
                        <telerik:RadMenuItem Value="NewFolder" Text="New Folder">
                        </telerik:RadMenuItem>
                        <telerik:RadMenuItem IsSeparator="true">
                        </telerik:RadMenuItem>
                        <telerik:RadMenuItem Value="EmptyFolder" Text="Empty this folder">
                        </telerik:RadMenuItem>
                    </Items>
                    <CollapseAnimation Type="none" />
                </telerik:RadTreeViewContextMenu>
            </ContextMenus>
            <Nodes>
                <telerik:RadTreeNode Text="Books">
                    <Nodes>
                        <telerik:RadTreeNode Text="Arts" />
                        <telerik:RadTreeNode Text="Biographies" />
                        <telerik:RadTreeNode Text="Children's Books" />
                        <telerik:RadTreeNode Text="Cooking" />
                        <telerik:RadTreeNode Text="History" />
                        <telerik:RadTreeNode Text="Fiction" />
                        <telerik:RadTreeNode Text="Mystery" />
                        <telerik:RadTreeNode Text="Nonfiction" />
                        <telerik:RadTreeNode Text="Romance" />
                        <telerik:RadTreeNode Text="Science Fiction " />
                        <telerik:RadTreeNode Text="Travel" />
                    </Nodes>
                </telerik:RadTreeNode>
                <telerik:RadTreeNode Text="Music">
                    <Nodes>
                        <telerik:RadTreeNode Text="Alternative" />
                        <telerik:RadTreeNode Text="Blues" />
                        <telerik:RadTreeNode Text="Children's Music" />
                        <telerik:RadTreeNode Text="Classical" />
                        <telerik:RadTreeNode Text="Country" />
                        <telerik:RadTreeNode Text="Dance" />
                        <telerik:RadTreeNode Text="Folk " />
                        <telerik:RadTreeNode Text="Hard Rock" />
                        <telerik:RadTreeNode Text="Jazz" />
                        <telerik:RadTreeNode Text="Soundtracks" />
                    </Nodes>
                </telerik:RadTreeNode>
                <telerik:RadTreeNode Text="Movies">
                    <Nodes>
                        <telerik:RadTreeNode Text="Action" />
                        <telerik:RadTreeNode Text="Animation" />
                        <telerik:RadTreeNode Text="Classics" />
                        <telerik:RadTreeNode Text="Comedy" />
                        <telerik:RadTreeNode Text="Documentary" />
                        <telerik:RadTreeNode Text="Drama" />
                        <telerik:RadTreeNode Text="Horror" />
                        <telerik:RadTreeNode Text="Musicals" />
                        <telerik:RadTreeNode Text="Mystery" />
                        <telerik:RadTreeNode Text="Westerns" />
                    </Nodes>
                </telerik:RadTreeNode>
                <telerik:RadTreeNode Text="Software">
                    <Nodes>
                        <telerik:RadTreeNode Text="Database" />
                        <telerik:RadTreeNode Text="Networking" />
                        <telerik:RadTreeNode Text="Presentation" />
                        <telerik:RadTreeNode Text="Project Management" />
                        <telerik:RadTreeNode Text="Reports" />
                        <telerik:RadTreeNode Text="Spreadsheet" />
                        <telerik:RadTreeNode Text="Word Processing" />
                    </Nodes>
                </telerik:RadTreeNode>
            </Nodes>
        </telerik:RadTreeView>
    </telerik:RadAjaxPanel>
    </form>
</body>
</html>
